import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsString } from 'class-validator';

export class DeleteUsernameRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  username: string;
}
