import { IsNotEmpty, IsString } from 'class-validator';

export class ValidateAuthenticationRequest {
  @IsString()
  @IsNotEmpty()
  username: string;

  @IsString()
  @IsNotEmpty()
  password: string;
}
