import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsString } from 'class-validator';

export class DeleteAuthenticationRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  uuid: string;
}
