import { Injectable } from '@nestjs/common';
import { Action } from '../dtos/action.enum';
import { Domain } from '../dtos/domain.enum';
import { Authorization } from '../entities/authorization';

@Injectable()
export abstract class IMakeDecision {
  abstract decide(
    uuid: string,
    domain: Domain,
    action: Action,
    context: Array<{ name: string; value: string }>,
  ): Promise<Authorization>;
}
