import { ContextItem } from '../domain/dtos/context-item';
import { Action } from '../domain/dtos/action.enum';
import { Domain } from '../domain/dtos/domain.enum';

export class DecisionQuery {
  readonly uuid: string;
  readonly domain: Domain;
  readonly action: Action;
  readonly context: Array<ContextItem>;

  constructor(
    uuid: string,
    domain: Domain,
    action: Action,
    context?: Array<ContextItem>,
  ) {
    this.uuid = uuid;
    this.domain = domain;
    this.action = action;
    this.context = context;
  }
}
